/*
 *  Licensed Materials - Property of IBM
 *  Restricted Material of IBM
 *  IBM Rational Test RealTime
 *  (c) Copyright IBM Corp. 2005-2007 All Rights Reserved.
 *
 *  US Governement Users Restricted Rights - Use, duplication or
 *  disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
 */

/*
 * IBM Rational Test RealTime System Testing for C
 * Exchange sample messaging API code
 */

#ifndef __ATL_API__
#define __ATL_API__

#ifndef EXTERN
#ifdef __cplusplus
#define EXTERN extern "C"
#else
#define EXTERN extern
#endif
#endif

/* Add the required include files here */



/* Define comm_handle_type as your communication handle type */
typedef int comm_handle_type; /* This example defines it as a simple int. It could be a structure */


/* Define the messaging API return code for each function */
#define api_OK			0
#define api_no_message	1
#define api_err			2


/* Intialize the connection */
EXTERN int atl_api_init(comm_handle_type *id, char *to);


/* Read a message on the connection */
EXTERN int atl_api_get_message (comm_handle_type  *id, void *message,int maxlen, int timeout);


/* Write a message to the connection */
EXTERN int atl_api_send_message (comm_handle_type *id, const void *message, int len);


/* Close the connection */
EXTERN int atl_api_end(comm_handle_type *id);

#endif
